package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ProfileIOSlot {
    private Metadata metadata;
    private AssociatedIOSlot associatedIOSlot;
    private String isRequired;

    public ProfileIOSlot() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the associatedIOSlot
     */
    public AssociatedIOSlot getAssociatedIOSlot() {
        return associatedIOSlot;
    }

    /**
     * @param associatedIOSlot the associatedIOSlot to set
     */
    public void setAssociatedIOSlot(AssociatedIOSlot associatedIOSlot) {
        this.associatedIOSlot = associatedIOSlot;
    }

    /**
     * @return the isRequired
     */
    public String getIsRequired() {
        return isRequired;
    }

    /**
     * @param isRequired the isRequired to set
     */
    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }

    @Override
    public String toString() {
        return "ProfileIOSlot [metadata=" + metadata + ", associatedIOSlot=" + associatedIOSlot + "]";
    }
}
